App\Entity\Volume:
    type: entity
    table: volume
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        sid:
            type: string
            nullable: false
            length: 40
            options:
                fixed: false
        oid:
            type: integer
            nullable: false
            options:
                unsigned: false
        diml:
            type: float
            nullable: false
            precision: 10
            scale: 0
        dimh:
            type: float
            nullable: false
            precision: 10
            scale: 0
        dimw:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibx1:
            type: float
            nullable: false
            precision: 10
            scale: 0
        iby1:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibz1:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibx2:
            type: float
            nullable: false
            precision: 10
            scale: 0
        iby2:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibz2:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibx3:
            type: float
            nullable: false
            precision: 10
            scale: 0
        iby3:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibz3:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibx4:
            type: float
            nullable: false
            precision: 10
            scale: 0
        iby4:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibz4:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibx5:
            type: float
            nullable: false
            precision: 10
            scale: 0
        iby5:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibz5:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibx6:
            type: float
            nullable: false
            precision: 10
            scale: 0
        iby6:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibz6:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibx7:
            type: float
            nullable: false
            precision: 10
            scale: 0
        iby7:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibz7:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibx8:
            type: float
            nullable: false
            precision: 10
            scale: 0
        iby8:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibz8:
            type: float
            nullable: false
            precision: 10
            scale: 0
        ibv:
            type: float
            nullable: false
            precision: 10
            scale: 0
        r1v:
            type: float
            nullable: false
            precision: 10
            scale: 0
        r2v:
            type: float
            nullable: false
            precision: 10
            scale: 0
        r3v:
            type: float
            nullable: false
            precision: 10
            scale: 0
        status:
            type: integer
            nullable: true
            options:
                unsigned: false
        creatorId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: creator_id
        creationDate:
            type: datetime
            nullable: false
            column: creation_date
        modifyId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: modify_id
        modifyDate:
            type: datetime
            nullable: false
            column: modify_date
    lifecycleCallbacks: {  }
